# Desktop 3D Printer

## Popular Open Source/Kit 3D Printers

Preliminary research was carried out to see which open source designs and commercial 3D printers are popular in the 3D printer community. These will be used as a starting point for the development of the desktop 3D Printer. Various repositories such as Youtube, Github, Instructables, GrabCad, Thingiverse, Personal Blogs and Technical Forums were searched.

1. The [Prusa i3MK3](https://www.prusa3d.com/) is one of the most popular open source 3D printers which consistently ranks among the [best printers](https://all3dp.com/1/best-3d-printer-reviews-top-3d-printers-home-3-d-printer-3d/) money can buy. The printer currently costs about 800 Euros. However since many parts have to still be bought from Prusa, it isn't an ideal choice for people living outside Europe or in developing countries. Again, since pone buys a kit, there is not much the user can choose from.

<img src= "https://i.all3dp.com/cdn-cgi/image/fit=cover,w=1000,gravity=0.5x0.5,format=auto/wp-content/uploads/2019/03/15155153/prusa6.jpg" alt="prusa i3" width="500" height="400">

2. The [Vulcaman V1 Reprap 3D-Printer](https://www.instructables.com/Vulcanus-V1-3D-Printer/) with a build cost of 300€ is a [CoreXY](http://corexy.com/theory.html) fully DIY 3D printer based on the reprap model. It has a fully enclosed design and the design is licensed under Attribution-NonCommercial-ShareAlike 4.0 International (CC BY-NC-SA 4.0)
   - BOM, CAD and a detailed instruction manual are available.
   - Much interaction from community on the design and 15+ rebuilds which shows the design is relatively simple with good instructions and is reproducible.
   - The shape is an a boxed construction which lends to its rigidity and it is also enclosed.

<img src="https://content.instructables.com/ORIG/F7W/NLHN/I9IBO9VQ/F7WNLHNI9IBO9VQ.jpg?auto=webp&frame=1&height=1024&fit=bounds&md=bd7018083287778af70e2362185266ae" alt="Vulcaman V1 Reprap Model" width="450" height="450" style="vertical-align:middle">

    Specifications:
   - Dimensions: 44cm x 44cm x 60cm
   - Build Volume: 20cm x 20cm X 26cm
   - Travel Speed: 300mm/s
   - Resolution: up to 0.05mm
   - Electronic: Ramps 1.4 with TMC2100 1/256 microstep Motordriver

3. The [Falla 3D](http://www.falla3d.com/index_en.html) is an OpenSource 3D Printer with a magnetic levitation system for the bearings of the X and Y axes. The printer is also modular (it can extrude all 3mm and 1.75 mm filaments) and is scalable.
   - BOM and CAD files exist on [github](https://github.com/3dita/Falla3D)
  
<img src="http://www.falla3d.com/images/screenshots/45dx.jpg" width="350" height="350" style="vertical-align:middle">

 - Specifications:
   - Scalable up to a 90x60x60 cm printing area (Printer size 100x70x70 cm)
   - Double Extruder - With a single FUM hotend, with a classic double 3mm hotend or with a 1.75 Bowden system.

4. The [D-bot Core XY 3D printer](https://www.thingiverse.com/thing:1001065) from user Spauda01 on Makerbot's Thingiverse is another solid aluminium frame design with a coreXY mechanism. The design has high community interaction and over 140 replications. 
- BOM, CAD and Build instructins (video and pdf guide) available
- Costs about 550$

<img src="http://i.imgur.com/oFbBbEb.jpg" width="350" height="350" style="vertical-align:middle">

 - Build Volume: 300mm x 200mm x 325mm
 - Licences under Attribution-ShareAlike 3.0 Unported (CC BY-SA 3.0) i.e. commercial as well.

5.	[Voron v2.4](https://vorondesign.com/) by Paul Nokel is a high end DIY 3D Printer that is fully open source and is popular for having excellent print quality and speed along with intuitive assembly documentation. The Voron 2.1 uses mains current to heat the stationary bed, and 12v everywhere else. The printer is however on the expensive side of DIY prinitng and is realtively complicated for someone new in 3D printing. Here is also a [Voron buildlog](https://www.elektrifiziert.net/forum/index.php?thread/134-voron-2-4-3d-drucker-selbstbau-tagebuch/).

<img src= "https://www.elektrifiziert.net/index.php?attachment/3257-2020-11-18-06h27-57-png/" alt="Voron 2.4" width="500" height="500">

6.	[Hypercube 3D Printer](https://www.thingiverse.com/thing:1752766) is a rigid boxed shape 3D printer made from 2020 aluminium extrusion profiles from user Tech2C and is very popular on the thingiverse website. The design also employs the coreXY mechanism with the attempt to reduce the X-carriage weight. The printer however has a cantilevered bed which causes Z-wobble in prints mainly noticed in printers that have tried to scale the design to a larger build volume.

8.	[Hypercube Evolution](https://www.thingiverse.com/thing:2254103) (also known as the HEVO), developed by SCOTT_3D, is an iteration or remix of the HyperCube 3D printer designed by Tech2C. It adds 3030 extrusions around the frame for added thickness, as well as a few more upgrades. It has a decent Wiki as well as a couple of different BOM generators, online and in Excel format. The design comes with configurable CAD files for required build volume and single or double Z axis motors. The build is relatively simple and allows modifications. The design is fully open source i.e. users can use the design, modify it and also use it for commercial purposes. The design is very popular in the community, since it improves on the previous design by tech2C by making it more rigid.

![HEVO](https://i.pinimg.com/564x/60/33/9d/60339d8bd74040bed336274ebb4f9195.jpg)

- [HEVO build guide](https://bestin-it.com/how-to-build-best-3d-printer-from-scratch-hypercube-evolution/) from a german maker detailing his build and sourcing of parts
- [Fusion360 Model from user1](https://myhub.autodesk360.com/ue28de06e/g/shares/SH7f1edQT22b515c761edd5edf41a5b4aa05?viewState=NoIgbgDAdAjCA0IDeAdEAXAngBwKZoC40ARXAZwEsBzAOzXjQEMyzd1C0B2CAEwCY%2BjGADMAtAGYIAI1yiALOMZ9RATjkA2FfIiMe43Ll25xAYzQBfEAF0gA&fbclid=IwAR2G9gEP79uHXTaEnc1MUpbw_OhZn3VWZfzaTZHgxxt_8QGHX8jGW89UFPA)
- [Fuson360 Model from User2](https://myhub.autodesk360.com/ue28de06e/g/shares/SH7f1edQT22b515c761e627c356ab003cc8e?viewState=NoIgbgDAdAjCA0IDeAdEAXAngBwKZoC40ARXAZwEsBzAOzXjQEMyzd1C0B2CAEwCY%2BjGADMAtAGYIAI1yiALOMZ9RATjkA2FfIiMe43Ll25xAYzQBfEAF0gA)


1. [Hypercube Evolution Oliver RT or HevORT](https://miragec79.github.io/HevORT/) is a remix **high end** DIY 3D Printer based on the Hypercube Evolution design which can cost about 2000 USD. The printer has auto-levelling of bed using 3 extra z-axis motors. It has a rigid Gantry for achieving high accelerations and speed using a direct drive extruder, whereby the user has achieved a build speed of 500mm/s+ with the printer.
- [Github repository](https://github.com/MirageC79/HevORT) and website has printer configurator, BOM generator and fusion 360 CAD model.

<u> **Some Commercial and semi open Source (DIY) Desktop Printers** </u>

1. Stratasys (Industrial Higher End)
2. Ultimaker (Mid consumer however still expensive) - These are considered highly reliable, however come at a high price tag starting at 2500 Euros for the base model
3. Creality Ender 3 - Cheapest available chinese printer (about 200 Euros) that is also open source. Provides great quality prints and is also certified by OSHWA to be fully open source. However, only this model from Crealty.

---

There are many cheap 3D printer kits that are available these days like the Creality or Tronxy models. These work and do the job but the parts are not optimum or quality components. More often than not users upgrade their cheap printers and end up spending twice as much in the end by replacing components. It is preferrable then to build your own printer from scratch where you get to decide what components you would like to have in the printer. Also if something breaks, you know exactly what to do or how to fix it. Lastly, it is a great learning experience. Moreover, if the build instructions and CAD model are available the user could also customize the build to adapt to locally available raw materials.

Great general information and guidelines on building a DIY 3D printer - https://hackaday.com/2016/07/06/build-a-3d-printer-workhorse/
